/* SNS © BLANCHE. prohibited for use
------------------------------------------------------------------------------------------------------------------------*/
@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@48,400,0,0");
@import url("https://fonts.googleapis.com/css2?family=Material+Symbols+Rounded:opsz,wght,FILL,GRAD@24,400,1,0");
@import url("https://kit-pro.fontawesome.com/releases/v6.6.0/css/pro.min.css");
/*-------------------------------------------------------------------------------------- hidden sns elements */
#pun-viewforum[data-forum-id="9"] .subscribelink,
[data-forum-id="9"] #pun-navlinks a:after,
[data-forum-id="9"] .crumbs a:after,
#pun-viewforum[data-forum-id="9"] .icon:before,
#pun-viewforum[data-forum-id="9"] .crumbs a:nth-of-type(2):before,
#pun:has([data-forum-id="9"]):after,
[data-forum-id="9"] .container:after,
[data-forum-id="9"] .post-links ul:after,
[data-forum-id="9"] .main div.inline:after,
[data-forum-id="9"] .post-box:after,
[data-forum-id="9"] .linksb:after,
[data-forum-id="9"] .crumbs:before,
[data-forum-id="9"] .post-author:after,
[data-forum-id="9"] div .post-rating p:before,
.sns_rounded .spoiler-box > div:after,
.sns-rounded .sns_av,
.sns-call:after,
.sns-divide:before,
.sns-divide:after,
.sns-call .post-author,
.sns-call .pl-quote,
.sns-call .post-rating-vote,
.sns_note .quote-box,
.sns_album .quote-box,
.sns-call .post-content > p,
.post-content .sns_album + .sns_note,
.post-content .sns_note + .sns_album,
.post-content .sns_note + .sns_note,
.post-content .sns_album + p + .sns_note,
.post-content .sns_note + p + .sns_album,
.post-content .sns_note + p + .sns_note,
.sns-call .sns_geo,
.sns-call .sns_divide,
.sns-call .sns_geo,
.sns-call .sns_note,
.sns-call .sns_album,
.sns-call .quote-box,
.sns-divide .post-author,
.sns-divide .pl-quote,
.sns-divide .post-rating-vote,
.sns_av.original:before,
#button-snsvoice,
#button-snscall,
#button-snsgeo,
#button-snsdivide,
#button-snsrounded,
.hv-mask-field.pafld2,
.pa-fld2,
#pun-edit[data-forum-id="9"] .crumbs span,
:is([data-forum-id="9"])
  :is(
    thead,
    #pun-announcement,
    #pun-title,
    #pun-ulinks,
    #pun-status,
    .banners,
    #pun-about,
    #topic-users-in,
    #pun-navlinks a > span,
    #pun-crumbs2,
    #button-font,
    #button-size,
    #button-indent,
    #button-left,
    #button-center,
    #button-justify,
    #button-right,
    #floatbut,
    #button-spoilerams,
    #button-video,
    #button-hide,
    #button-code,
    #button-color,
    #button-table,
    #button-addition,
    #button-dice,
#button-html,
    .pa-posts,
    .pa-respect,
    .pa-fld1,
    .isadmin li.editpole,
    .ismoderator li.editpole,
    .pl-email.email,
    .pa-author,
    .pa-avatar,
    .pl-email,
    .pa-ip,
    #pun-viewtopic .postlink,
    cite,
    td#button-spoiler,
    dl.post-sig,
    .spoiler-box blockquote img,
    .sm_bg,
    .post h3,
    .forum .tc2,
    .forum .tc3,
    .hv-mask-field.avatar,
    .hv-mask-field.title,
    .hv-mask-field.author,
    .hv-mask-field.pafld1,
    .hv-mask-field.signature,
    .hv-preview-author,
    .hv-preview-title,
    .hv-preview-avatar,
    .indOnline,
    .indOffline,
    .tipsy.tipsy-n.notifications-telegram-invite,
    .linksb .postlink,
    .user-avatar,
    .new-poll,
    .newtext,
    .pagestext,
    #plng,
    .stickytext,
    #pun-break1,
    #post-form legend,
    #pun-live-rusff,
    .pa-title,
    #button-float,
    .isticky .byuser,
    .forum .isticky .tcr,
    .forum .isticky .icon,
    .crumbs em,
    .tr-divider,
    #button-lower,
#header,
    .formsubmit small#togglePreview,
h1, h2, .reactions-root
  ) {
  display: none !important;
}

:is([data-forum-id="9"])
  :is(.pa-fld2, .hv-mask-field.pafld2) {
  display: block !important;
}

:is([data-forum-id="9"])
  :is(
    #button-snsnote,
    #button-snsvoice,
    #button-snsalbum,
    #button-snscall,
    #button-snsgeo,
    #button-snsdivide,
    #button-snsrounded
  ) {
  display: flex !important;
}

/*-------------------------------------------------------------------------------------- base */
.punbb[data-forum-id="9"] {
  --sns-bg: url(https://forumstatic.ru/files/001c/86/ed/95566.webp);
  --sns-bg-post: linear-gradient(90deg, #535964, #6c7483);
  --sns-pun: 65, 67, 72;
  --sns-border: #666772;
  --sns-shadow: #5e636a;
  --sns-color-light: 145, 150, 163;
  --sns-color-text: #c1c9d1;
  --sns-color-opacity: #99aabb;
  --sns-color-pink1: #997d9b;
  --sns-color-pink2: #b98fa3;
  --sns-color-accent: #bed0e1;
  --color-light1: #fbfbfb;

  --font: Montserrat;
  --mat: "Material Symbols Outlined";
  --mat1: "Material Symbols Rounded";
  --faw: "Font Awesome 6 Pro";

  margin: 55px auto;
  font-family: var(--font);
  outline: none;
  background: transparent;
  border: none;
  border-radius: 0;
  padding: 0;
  position: relative;
}

.punbb[data-forum-id="9"] * {    box-sizing: border-box;}

.punbb[data-forum-id="9"] p {padding: 0;}
.punbb[data-forum-id="9"] p + p {padding-top: 10px;}

#pun:has([data-forum-id="9"]) {
    background: transparent;
    padding: 0;
    margin: 0 auto !important;
    box-shadow: none;
    border: none;
}

html:has([data-forum-id="9"]) {padding: 0 !important;}

[data-forum-id="9"] .post + .post {
  margin-top: 56px !important;
}


.punbb[data-forum-id="9"]:before {
  content: "";
  background: var(--sns-bg);
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  background-size: cover;
}

[data-forum-id="9"] #pun-main,
[data-forum-id="9"] .forum tr {
  border: 1px solid var(--sns-border);
  background: rgba(var(--sns-pun), 0.7);
  border-radius: 20px;
  padding: 30px 30px 30px 110px !important;
}

[data-forum-id="9"] #pun-main {
  min-height: 520px;
}

#pun-viewforum[data-forum-id="9"] #pun-main {
  background: transparent;
  border: none;
  padding: 0 !important;
  margin-left: 70px;
  position: relative;
  border-radius: 0;
}

[data-forum-id="9"] .post {
  padding: 20px;
  box-shadow: 5px 5px var(--sns-shadow);
  display: flex;
  flex-direction: column;
  position: relative;
  background: var(--sns-bg-post);
}

[data-forum-id="9"] .post-content {
  font: 400 10px/1 var(--font);
}

[data-forum-id="9"] .post,
[data-forum-id="9"] .post:before {
  border-radius: 7px 20px 20px 20px;
}
[data-forum-id="9"] .post:before,
.sns_bg:before,
.sns_preview:before {
  content: "";
  background: url(http://forumstatic.ru/files/001c/86/ed/98980.jpg);
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  mix-blend-mode: screen;
  opacity: 0.07;
  inset: 0;
}

.sns_preview {
  width: 100%;
  border-radius: 20px;
  align-items: center;
  padding: 10px;
  gap: 10px;
}

[data-forum-id="9"] .post-author,
[data-forum-id="9"] .post-author ul {
  border: none;
  padding: 0;
  background: transparent;
  width: fit-content;
  margin: 0;
}

[data-forum-id="9"] .post-author {
  grid-row: -1/1;
  position: static;
}

:is([data-forum-id="9"]) :is(.pa-fld2) {
    padding: 0 !important;
}

.sns_av,
.call_av1,
.call_av2 {
  width: 100px;
  height: 100px;
  border-radius: 15px;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  flex: 0 0 auto;
}

.sns_av img,
.call_av1 img,
.call_av2 img {
  width: 80px;
  height: 80px;
  object-fit: cover;
  border-radius: 5px;
  filter: grayscale(1);
}
.sns_av.original img {
  filter: none;
}

.sns_av,
.call_av1,
.call_av2,
.sns_call em {
  background: rgba(var(--sns-pun), 0.55);
  border: 1px solid rgb(217 217 217 / 30%);
  backdrop-filter: blur(6px);
}


.sns_av:before,
.sns_av:after,
.call_av1:before,
.call_av1:after,
.call_av2:before,
.call_av2:after {
  content: "";
  position: absolute;
  width: 80px;
  height: 80px;
  border-radius: 4px;
}

.sns_av:before,
.call_av1:before,
.call_av2:before {
  background: rgba(var(--sns-color-light), 0.3);
  z-index: 1;
  mix-blend-mode: screen;
}

.sns_av:after,
.call_av1:after,
.call_av2:after {
  background: linear-gradient(
    180deg,
    var(--sns-color-text),
    var(--sns-color-opacity)
  );
  mix-blend-mode: multiply;
}

sns_name,
.sns_name {
  font-size: 16px;
  font-style: italic;
  color: var(--sns-color-text);
  white-space: nowrap;
  font-family: var(--font);
}
.sns_name,
.sns_av {
  position: relative;
}
.sns_name,
.sm_name {
  word-wrap: break-word;
  white-space: normal;
  text-align: center;
}
sns_name {
  position: absolute;
  top: 0;
  left: 120px;
}

sns_name:before,
.sns_name:before {
  content: "@";
  color: #d890b2;
  font-weight: 600;
}

[data-forum-id="9"] .post-box {
  padding: 0;
  display: flex;
  gap: 10px;
  font-weight: 400;
  align-items: flex-end;
  position: static;
}

[data-forum-id="9"] .post-body {
    width: 100%;
    padding: 15px;
    background: linear-gradient(
    180deg,
    rgba(var(--sns-color-light)),
    rgba(var(--sns-color-light), 0.5)
  );
    border: 2px solid rgba(var(--sns-color-light));
    border-radius: 0 7px 7px 7px;
    grid-row-start: 2;
    color: var(--color-light1);
    position: static;
    margin: 0;
}

[data-forum-id="9"] .post > .container{
  gap: 10px 20px;
  display: grid;
  grid-template-columns: 100px 1fr;
  order: 1;
  grid-template-rows: 20px 1fr;
    position: relative;
}

body [data-forum-id="9"] .post-links {
    grid-row-start: 1;
    background: transparent;
    position: static;
    margin: 0 !important;
    border: none;
}

body [data-forum-id="9"] .post-links ul {
    padding: 0 !important;
    display: flex;
    justify-content: flex-end;
    gap: 5px;
}

body [data-forum-id="9"] div.post-rating, body [data-forum-id="9"] div.post-vote {
    margin: 0;
}

[data-forum-id="9"] div.post-rating p,
[data-forum-id="9"] div.post-vote p {
  padding: 0 !important;
  margin: 0;
}

[data-forum-id="9"] .quote-box {
    margin: 0 0 10px !important;
    background: transparent;
    border: none !important;
    padding: 0 !important;
}

body [data-forum-id="9"] .post .post-links a,
.sns_rounded .spoiler-box > div {
    background: rgba(var(--sns-color-light)) !important;
    border: none !important;
    width: 20px !important;
    display: flex;
    height: 20px !important;
    justify-content: center;
    align-items: center;
    font-size: 0 !important;
    border-radius: 3px;
    transition: none;
    box-shadow: none !important;
    position: relative;
    top: auto;
    left: auto;
}

body .punbb[data-forum-id="9"] .post-links ul[data-forum-id="9"] .post-links ul {
    display: flex;
    justify-content: flex-end;
    gap: 10px;
    padding: 0 !important;
}

[data-forum-id="9"] .post-links li {
  margin: 0 !important;
}

[data-forum-id="9"] .post-links a:before,
.sns_rounded .spoiler-box > div:before {
    content: "" !important;
    width: 12px;
    height: 12px;
    background: var(--sns-color-text);
    position: absolute;
    transition: background 0.3s;
    mask-size: cover !important;border: none;
}
[data-forum-id="9"] .post-links a:hover:before,
.sns_rounded .spoiler-box > div.visible:before {
  background: #cfb7d1;
}

[data-forum-id="9"] li.pl-edit {
  order: 1;
}
[data-forum-id="9"] li.pl-quote{
  order: 2;
}
[data-forum-id="9"] li.pl-delete {
  order: 3;
}
[data-forum-id="9"] li.pl-edit a:before {
  mask: url(http://forumstatic.ru/files/001c/86/ed/94702.svg);
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/94702.svg);
}

[data-forum-id="9"] li.pl-quote a:before {
  mask: url(http://forumstatic.ru/files/001c/86/ed/57870.svg);
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/57870.svg);
}

[data-forum-id="9"] li.pl-delete a:before {
  mask: url(http://forumstatic.ru/files/001c/86/ed/92205.svg);
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/92205.svg);
}

[data-forum-id="9"] .post .post-rating a {
  font-size: 9px !important;
  color: var(--sns-color-accent);
  gap: 3px;
}

[data-forum-id="9"] .post .post-rating a:before, [data-forum-id="9"] .post .post-vote a:before {content: ''}


[data-forum-id="9"] .post-rating a:before {
  mask: url(http://forumstatic.ru/files/001c/86/ed/92075.svg);
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/92075.svg);
}

[data-forum-id="9"] .post-vote a:before {
  mask: url(http://forumstatic.ru/files/001c/86/ed/72584.svg);
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/72584.svg);
}

[data-forum-id="9"] .mylike .post-rating a:before {
  mask: url(http://forumstatic.ru/files/001c/86/ed/67982.svg) center no-repeat;
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/67982.svg);
  background: var(--sns-color-accent);
}

[data-forum-id="9"] .mylike .post-rating a:hover {
  color: var(--sns-color-accent);
}

[data-forum-id="9"] .post:after{
  content: "";
  mask: url(http://forumstatic.ru/files/001c/86/ed/47366.svg);
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/47366.svg);
  background: #8396a7;
  width: 12px;
  height: calc(100% - 10px);
  position: absolute;
  top: 0;
  left: -5px;
  border-radius: 10px;
}

[data-forum-id="9"] blockquote {
  background: #727785cf !important;
  box-shadow: none !important;
  border-radius: 3px !important;
  padding: 7px !important;
  border: none !important;
}

[data-forum-id="9"] blockquote p {
  font: 500 italic 10px var(--font) !important;
  color: var(--sns-color-text);
}

[data-forum-id="9"] .post-content > .spoiler-box > div {
  background: url(http://forumstatic.ru/files/001c/86/ed/39206.svg) right
    no-repeat !important;
  width: 260px;
  display: flex;
  align-items: center;
  gap: 5px;
  font-size: 0;
  padding: 0 !important;
  height: 20px;
  border: none;
  box-shadow: none !important;
  border-radius: 0 !important;
  margin: 0 0 -12px 0;
  text-shadow: none;
  filter: brightness(1.3);
}

[data-forum-id="9"] .post-content > .spoiler-box > div.visible{
  margin-bottom: 0;
}

[data-forum-id="9"] .post-content > .spoiler-box > div:before{
content: '';
  mask: url(http://forumstatic.ru/files/001c/86/ed/76752.svg);
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/76752.svg);
  width: 20px;
  height: 20px;
  background: var(--sns-color-pink1);
  margin: 0;
  opacity: 1 !important;
}

[data-forum-id="9"] .post-content > .spoiler-box > div:after {
  mask: none;
  content: "1x";
  opacity: 1;
  left: 25px;
  width: 20px;
  height: 20px;
  top: 0;
  border-radius: 3px;
  background: transparent;
  border: 1px solid var(--sns-color-pink1);
  color: var(--sns-color-pink1);
  font: 700 10px var(--font);
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 0;
  box-sizing: border-box;
}

[data-forum-id="9"] .post-content > .spoiler-box > div.visible:before {
  mask: url(http://forumstatic.ru/files/001c/86/ed/45975.svg);
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/45975.svg);
}

[data-forum-id="9"] .post-content > .spoiler-box > blockquote {
  background: transparent !important;
  padding: 0 !important;
  margin-top: 12px;
}

[data-forum-id="9"] .spoiler-box blockquote p {
  font-weight: 400 !important;
  color: var(--color-light2);
}

/*-------------------------------------------------------------------------------------- второй юзер */
.post.user-2,
.post.user-2:before {
  border-top-left-radius: 20px;
  border-top-right-radius: 7px;
}
.post.user-2 {
  box-shadow: -5px 5px var(--sns-shadow);
}

.post.user-2 .sns_av:after,
.call_av2:after {
  background: linear-gradient(
    180deg,
    var(--sns-color-pink1),
    var(--sns-color-pink2)
  );
}

.user-2 > .container {
  grid-template-columns: 1fr 100px !important;
}

.post.user-2 .post-author {
  grid-column: 2;
}
.post.user-2:has(.sns_rounded) .post-author {
  grid-column: 1;
}

.post.user-2:after {
  left: auto;
  right: -5px;
  background: var(--sns-color-pink2) !important;
  transform: scale(-1, 1);
}

.post.user-2 sns_name {
  left: 0px;
}

.user-2 .post-body {
  border-top-right-radius: 0;
  border-top-left-radius: 7px;
}

/*-------------------------------------------------------------------------------------- третий юзер */
.post.user-3 .sns_av:after {
  background: linear-gradient(
    180deg,
    var(--sns-color-text),
    var(--sns-color-pink2)
  );
}
.post.user-3:after {
  background: var(--sns-color-pink1);
}

/*-------------------------------------------------------------------------------------- навигация */
[data-forum-id="9"] #pun-navlinks li > a,
[data-forum-id="9"] #theme_switcher label{
    background: #515660;
    box-shadow: 0 0 12px 7px inset #5f6470;
    border: 1px solid #6f7889 !important;
    width: 40px;
    height: 40px;
    border-radius: 5px;
    padding: 0;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0;
}

[data-forum-id="9"] #pun-navlinks li > a:hover,
[data-forum-id="9"] #theme_switcher label:hover{
  background: #695a5f;
  box-shadow: 0 0 12px 7px inset #7c676e;
  border: 1px solid rgba(193, 158, 195, 0.55) !important;
}

[data-forum-id="9"] #pun-navlinks li > a:before,
[data-forum-id="9"] #theme_switcher label:before{
  content: "" !important;
  width: 20px !important;
  height: 20px !important;
  background: #cdcdcd !important;
  mask-position: center !important;
  mask-repeat: no-repeat !important;
  border: none !important;
}

[data-forum-id="9"] li#navindex a:before {
  mask: url(http://forumstatic.ru/files/001c/86/ed/25542.svg);
  mask-image: url(http://forumstatic.ru/files/001c/86/ed/25542.svg);
}

[data-forum-id="9"] li#navuserlist a:before {
  mask: url(http://forumstatic.ru/files/001c/86/ed/25530.svg);
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/25530.svg);
}

[data-forum-id="9"] li#navsearch a:before {
  mask: url(http://forumstatic.ru/files/001c/86/ed/76346.svg);
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/76346.svg);
}

[data-forum-id="9"] li#navprofile a:before {
  mask: url(http://forumstatic.ru/files/001c/86/ed/46033.svg);
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/46033.svg);
}

[data-forum-id="9"] li#navpm a:before {
  mask: url(http://forumstatic.ru/files/001c/86/ed/34331.svg);
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/34331.svg);
  transform: translate(-1px, 1px);
}

[data-forum-id="9"] li#navadmin a:before {
  mask: url(http://forumstatic.ru/files/001c/86/ed/44102.svg);
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/44102.svg);
}

[data-forum-id="9"] li#navlogout a:before {
  mask: url(http://forumstatic.ru/files/001c/86/ed/88881.svg);
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/88881.svg);
}

[data-forum-id="9"] #theme_switcher label:before{
  mask: url(https://forumstatic.ru/files/001c/86/ed/45630.svg);
  -webkit-mask-image: url(https://forumstatic.ru/files/001c/86/ed/45630.svg);
}

[data-forum-id="9"] div#pun-navlinks {
  position: sticky;
  top: 0px;
  z-index: 9;
  height: 0;margin: 0;
}

[data-forum-id="9"] #pun-navlinks .container {
    flex-direction: column;
    width: 40px;
    top: 30px;
    gap: 20px;
    left: 30px;
    position: relative;
    display: flex;
}

[data-forum-id="9"] #pun-crumbs1 {
    background: transparent;
    height: 29px;
    position: absolute;
    top: -55px;
    width: 100%;
    align-items: flex-start;
    padding: 0 20px;
}

[data-forum-id="9"] .crumbs a:first-of-type {
  font-size: 12px;
  font-weight: 600;
  text-transform: uppercase;
  color: var(--sns-color-text);
  left: 0;
}

[data-forum-id="9"] .crumbs,
[data-forum-id="9"] #pun-crumbs1 .crumbs {
    width: 100%;
    height: 100%;
    align-items: flex-end;
    justify-content: center;
    text-shadow: none;
    margin: 0px !important;
    padding: 0;
    display: flex;
}

[data-forum-id="9"] .crumbs a {
    position: absolute;
    padding: 0 !important;
    height: fit-content;
    align-items: flex-end;
    margin: 0 !important;
    transition: color 0.3s;
    text-shadow: none;
    display: flex;
}

[data-forum-id="9"] .crumbs span {
    height: 100%;
    background: linear-gradient(
    90deg,
    var(--sns-color-pink1),
    var(--sns-color-pink2)
  );
    border: none;
    border-radius: 0 0 30px 30px;
    padding: 5px 30px;
    font-weight: 600;
    font-size: 14px;
    color: #fff;
    line-height: 1px;
    display: flex;
    align-items: center;
    justify-content: center;
}

[data-forum-id="9"] div#pun-crumbs1:after {
  content: "";
  mask: url(http://forumstatic.ru/files/001c/86/ed/17417.svg) bottom no-repeat;
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/17417.svg);
  width: 54px;
  height: 100%;
  position: absolute;
  background: var(--sns-color-text);
  right: 20px;
  top: 0;
}

[data-forum-id="9"] .crumbs a:first-of-type:hover {
  color: var(--sns-color-pink1);
}

#pun-viewtopic[data-forum-id="9"] .crumbs a:last-of-type {
  left: 110px;
  font-size: 0;
}

#pun-viewtopic[data-forum-id="9"] .crumbs a:last-of-type:before{
  content: "";
  mask: url(http://forumstatic.ru/files/001c/86/ed/85898.svg) center no-repeat;
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/85898.svg);
  background: var(--sns-color-text);
  width: 16px;
  height: 16px;
  transition: background 0.3s;
}

#pun-viewtopic[data-forum-id="9"] .crumbs a:last-of-type:hover:before{
  background: var(--sns-color-pink1);
}

[data-forum-id="9"] textarea#main-reply {
  box-shadow: none !important;
  height: 80px;
  margin: 0;
  width: 100% !important;
    padding: 15px;
}

[data-forum-id="9"] #post-preview {margin: 20px 0 !important;}

[data-forum-id="9"] textarea#main-reply,
[data-forum-id="9"] select,
[data-forum-id="9"] input {
  background: linear-gradient(
    90deg,
    rgba(194, 209, 222, 0.2) 0%,
    rgba(194, 209, 222, 0.35) 100%
  ) !important;
  border: none !important;
  font: 400 12px var(--font) !important;
  color: var(--color-light2) !important;
}

[data-forum-id="9"] #post-form p.inputfield.required,
[data-forum-id="9"]
  #post
  p.inputfield.required {
  padding: 0;
  margin: 0 0 10px 0;
  border: none;
}

[data-forum-id="9"] #form-buttons + div + #tags + p textarea,
[data-forum-id="9"] select,
[data-forum-id="9"] input{
  border-radius: 30px !important;
}

[data-forum-id="9"] div#form-buttons {
  margin-bottom: 10px;
  border: none;
  padding: 0;
  grid-template-columns: 1fr 63px;
  background: transparent;
  border-radius: 0;
}

.form-buttons1 {
    display: flex;
    gap: 5px;
    font-size: 0;
    justify-content: flex-end;
}

[data-forum-id="9"] #form-buttons,
[data-forum-id="13"] #form-buttons {
  margin-bottom: 10px !important;
  border: none !important;
  padding: 0;
  grid-template-columns: 1fr min-content;
  background: transparent;
  border-radius: 0;
  display: grid;
  height: auto;
  box-shadow: none;
}

.form-buttons1 {
  display: flex;
  gap: 5px;
  font-size: 0;
}

[data-forum-id="9"] #form-buttons td,
.form-buttons1 #togglePreview,
.form-buttons1 .subscribelink a {
    background: rgba(194, 209, 222, 0.5) !important;
    height: 30px !important;
    width: 30px !important;
    border-radius: 50%;
    transform: none !important;
    box-shadow: none !important;
    color: var(--color-light1) !important;
    border: none !important;
    transition: background 0.3s, color 0.3s;
    margin: 0;
}

[data-forum-id="9"] .hashelp {
  border: none;
}

[data-forum-id="9"] #form-buttons td,
.form-buttons1 #togglePreview:before,
.form-buttons1 .subscribelink a:before {
  font: 500 15px var(--mat) !important;
}

[data-forum-id="9"] #form-buttons td:hover,
.form-buttons1 #togglePreview:hover,
.form-buttons1 .subscribelink a:hover {
  background: var(--sns-color-pink1) !important;
  color: #fff;
}

[data-forum-id="9"] #form-buttons td:before {
    background: transparent !important;
    color: inherit !important;
}

[data-forum-id="9"] #form-buttons tr{
    justify-content: flex-start;
    gap: 5px;
}

#button-snsnote:before {
  content: "\f563";
}

#button-snsvoice:before {
  content: "\f130";
}

#button-snsalbum:before {
  content: "\e413";
}

#button-snscall:before {
  content: "\f095";
}

#button-snsgeo:before {
  content: "\f041";
}

#button-snsdivide:before {
  content: "\f017";
}

#button-snsrounded:before {
  content: "\f1ce";
}

[data-forum-id="9"] .linkst {
    margin: 0;
    position: absolute;
    top: -23px;
    justify-content: center;
    width: 100%;
    left: 0;
    display: flex;
    height: auto;
}

[data-forum-id="9"] .pagelink strong,
[data-forum-id="9"] .pagelink a{
  width: 16px;
  height: 16px;
  display: flex;
  justify-content: center;
  align-items: center;
  font: 600 9px var(--font) !important;
  background: rgba(160, 189, 215, 0.2);
  border-radius: 50%;
  color: var(--sns-color-text) !important;
  padding-bottom: 1px;
}

[data-forum-id="9"] .pagelink {
    gap: 5px;
    display: flex;
    font-size: 0;
    position: relative;
    top: auto;
    left: auto;
    width: auto;
}

[data-forum-id="9"] .pagelink strong,
[data-forum-id="9"] .pagelink a:hover {
  background: var(--sns-color-opacity);
  color: #fff !important;
}
[data-forum-id="9"] a.next:before,
[data-forum-id="9"] a.prev:before {
line-height: 16px;
}

[data-forum-id="9"] .post .bookmark {
  right: -35px !important;
}

/*-------------------------------------------------------------------------------------- видеозвонок */
.sns-call > .container,
.sns-divide > .container {
  grid-template-columns: 1fr !important;
}

.sns-call .post-body,
.sns-divide .post-body {
  background: transparent;
  border: none;
  padding: 0;
}

.sns_call {
  display: flex;
  justify-content: space-between;
  position: relative;
  align-items: center;
}

.sns_call:before,
.sns_divide:before {
  content: "";
  mask: url(http://forumstatic.ru/files/001c/86/ed/76308.svg);
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/76308.svg);
  width: 100%;
  height: 8px;
  position: absolute;
}
.sns_call:before {
  background: #a4a6ad;
}

.sns_divide:before,
.sns-divide .post-links a:before {
  background: #a5949c;
}

.sns-call {
  margin-left: 120px;
  width: 450px !important;
  background: radial-gradient(
    30.74% 58.57% at 50% 50%,
    #705260 0%,
    #535964 100%
  ) !important;
  box-shadow: 0 5px var(--sns-shadow) !important;
  padding: 20px !important;
}

.sns-call,
.sns-call:before {
  border-radius: 20px !important;
}

.call_av2 {
  order: 3;
}

.call_end p {
  display: grid;
  text-align: center;
  gap: 5px;
  height: 100%;
  color: #dddddd;
  line-height: 1;
  justify-items: center;
  grid-template-rows: 1fr 50px 1fr;
  align-items: center;
}

.call_end strong {
  font-weight: 700;
  font-size: 12px;
  white-space: nowrap;
}

.call_end span {
  font-weight: 500;
  font-size: 9px;
}

.sns_call em {
  width: 50px;
  height: 50px;
  border-radius: 15px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.sns_call em:before {
  content: "";
  mask: url(http://forumstatic.ru/files/001c/86/ed/76097.svg) center no-repeat;
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/76097.svg);
  width: 30px;
  height: 30px;
  background: var(--sns-color-pink2);
}

[data-forum-id="9"] .arrows span {
  backdrop-filter: blur(2px);
  border-radius: 20px;
  width: 15px;
  height: 130px;
  border: none;
  outline: none;
  box-shadow: none;
  font-size: 0;
  mask: none;
  transform: none !important;
  transition: background 0.3s;
}

[data-forum-id="9"] .arrows.top span {
  background: rgba(193, 158, 195, 0.25);
}

[data-forum-id="9"] .arrows.top:hover span {
  background: rgba(193, 158, 195, 0.5);
}

[data-forum-id="9"] .arrows.bottom span {
  background: rgba(117, 148, 175, 0.37);
}
[data-forum-id="9"] .arrows.bottom:hover span {
  background: rgba(117, 148, 175, 0.6);
}

[data-forum-id="9"] .arrows {
  margin-left: calc(var(--main-w) + 40px);
}

[data-forum-id="9"] .arrows.top{
  margin-bottom: 80px;
}

[data-forum-id="9"] .arrows.bottom {
  margin-bottom: -80px;
}

.large-image .post-content img,
img.postimg.large {
  border-radius: 10px;
  margin: 0 !important;
}

.large-image .post-body,
.sns-rounded .post-body {
  background: transparent;
  border: none;
  padding: 0;
}

.large-image .post-rating a:before,
.large-image .post-vote a:before,
.sns-rounded .post-rating a:before,
.sns-rounded .post-vote a:before {
  background: var(--sns-color-text);
}
.large-image .post-rating a,
.sns-rounded .post-rating a {
  color: var(--sns-color-text) !important;
}

.large-image .post-box,
.sns-rounded .post-box {
  flex-wrap: wrap;
  justify-content: end;
}

.large-image .post-content,
.sns-pounded .post-content {
  width: 100%;
}

.form-buttons1 #togglePreview:before {
  content: "\e8f4" !important;
}
.form-buttons1 #togglePreview.toggleclosed:before {
  content: "\e8f5" !important;
}

.form-buttons1 .subscribelink a:before {
  content: "\e399";
}
.form-buttons1 .subscribelink.unsubscribe a:before {
  content: "\e7f8";
}

.form-buttons1 #togglePreview .button,
.form-buttons1 .subscribelink a {
  font-size: 0 !important;
}

.form-buttons1 #togglePreview .button {
  background: transparent !important;
  border: none !important;
  width: 100%;
  height: 100%;
  box-shadow: none !important;
  transform: none !important;
  position: absolute;
}

.form-buttons1 #togglePreview,
.form-buttons1 .subscribelink a {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}

.sns_note,
.sns_album {
  position: absolute;
  right: -200px;
  width: 150px;
  top: -20px;
  border-radius: 5px;
  display: flex;
  flex-direction: column;
}

.sns_album,
.album_text {
  height: 150px;
}

.sns_note.one {
  background: linear-gradient(
    180deg,
    rgba(232, 162, 195, 0.22) 0%,
    rgba(232, 162, 195, 0) 100%
  );
  border: 1px solid rgba(193, 158, 195, 0.22) !important;
}

.sns_note.two {
  background: linear-gradient(
    180deg,
    rgba(160, 189, 215, 0.22) 0%,
    rgba(160, 189, 215, 0) 100%
  );
  border: 1px solid rgba(168, 187, 204, 0.22) !important;
}

.note_name {
  font-weight: 700;
  font-style: italic;
  font-size: 10px;
  padding: 1px 8px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-shrink: 0;
}

.sns_note.two .note_name {
  color: var(--sns-color-accent);
}

.sns_note.one .note_name {
  color: var(--sns-color-pink1);
}

.note_name:after {
  content: "";
  mask: url(http://forumstatic.ru/files/001c/86/ed/91289.svg);
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/91289.svg);
  width: 10px;
  height: 10px;
}

.sns_note.one .note_name:after {
  background: var(--sns-color-pink1);
}
.sns_note.two .note_name:after {
  background: var(--sns-color-accent);
}

.note_text p {
  padding: 0 7px 7px 7px !important;
  font-size: 9px !important;
}

.sns_note.one .note_text {
  color: #b1aab3;
}
.sns_note.two .note_text {
  color: #9daab5;
}

.sns_album img {
  border-radius: 5px !important;
  filter: grayscale(1);
  margin: 0 !important;
  width: 150px;
  height: 150px;
  object-fit: cover;
}

.album_text {
  position: absolute;
}

.album_text p {
  display: flex;
  justify-content: flex-end;
  align-items: center;
  text-align: center;
  flex-direction: column;
  width: 150px;
  height: 150px;
  padding: 15px !important;
  color: #fff;
  gap: 3px;
  text-shadow: 0px 0px 5px rgba(0, 0, 0, 0.15);
  background: linear-gradient(
    180deg,
    rgba(239, 239, 239, 0) 0%,
    rgba(239, 239, 239, 0.62) 100%
  );
  border-radius: 0 0 5px 5px;
}

.album_text strong {
  font-size: 14px;
  font-weight: 700;
  line-height: 12px;
}

.album_text span {
  font-size: 10px;
  font-weight: 500;
}

.sns_geo:before {
  content: "";
  mask: url(http://forumstatic.ru/files/001c/86/ed/74900.svg) no-repeat center /
    contain;
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/74900.svg);
  width: 16px;
  height: 16px;
  background: #ffd2e7;
}

.sns_geo {
  display: flex;
  align-items: center;
}

.sns_geo p {
  font-size: 10px !important;
  font-style: italic;
  color: #f0d0f1;
  background: #927d95;
  border-radius: 0 3px 3px 0;
  margin-left: -7px;
  height: 16px;
  display: flex;
  align-items: center;
  padding: 0 7px !important;
}

/*-------------------------------------------------------------------------------------- разделитель */
.sns-divide {
  padding: 0 !important;
  box-shadow: none !important;
  background: transparent !important;
}

.sns_divide {
  display: flex;
  justify-content: center;
}

.sns_divide p {
  color: #a9a9a9;
  font-size: 10px !important;
  margin-top: 10px !important;
  font-weight: 300;
}

.sns-divide .post-links a {
  background: transparent !important;
}

/*-------------------------------------------------------------------------------------- кнопки */
body [data-forum-id="9"] .button,
body:has([data-forum-id="9"]) .hvStickerPackModalTab {
    background: transparent !important;
    border: none !important;
    border-radius: 10px !important;
    color: var(--sns-color-text) !important;
    transform: none !important;
    font-size: 11px !important;
    font-weight: 600 !important;
    font-style: italic !important;
    box-shadow: 0 0 0 1px inset #7c7f83 !important;
    transition: background 0.3s, color 0.3s, opacity 0.3s, box-shadow 0.3s !important;
    text-shadow: none;
    filter: none;
    font-family: var(--font) !important;
    padding: 2px 10px !important;
}

[data-forum-id="9"] .button:hover,
body:has([data-forum-id="9"]) .hvStickerPackModalTab:hover,
#pun-viewtopic[data-forum-id="9"] .button.submit {
  background: var(--sns-color-pink1) !important;
  color: #fff !important;
  opacity: 1;
  box-shadow: -30px 0 30px inset var(--sns-color-pink2) !important;
  border: none !important;
}

/*-------------------------------------------------------------------------------------- подфор */
[data-forum-id="9"] .hasicon tr {
    grid-template-columns: 1fr 1fr;
    padding: 30px !important;
    display: grid;
}

#pun-viewforum[data-forum-id="9"] .modmenu a{
  border: 1px solid var(--sns-border) !important;
  background: rgba(var(--sns-pun), 0.7) !important;
  border-radius: 20px;
  padding: 6px 30px !important;
  backdrop-filter: blur(30px);
  font-size: 9px;
  text-transform: uppercase;
  color: var(--sns-color-pink1);
  box-shadow: none !important;
}

#pun-viewforum[data-forum-id="9"] .modmenu {
  margin-top: 31px;
}

#pun-viewforum[data-forum-id="9"] #pun-navlinks .container {
  left: 0;
  top: 0;
}

#pun-viewforum[data-forum-id="9"] #pun-crumbs1 {
  margin-left: 70px;
  width: calc(100% - 70px);
}

[data-forum-id="9"] .tclcon,
[data-forum-id="9"] .tclcon strong,
#pun-viewforum[data-forum-id="9"] td.tcr {
  display: flex;
  gap: 7px;
}

#pun-viewforum[data-forum-id="9"] td.tcr {
  align-items: flex-end;
  text-align: right;
  flex-direction: column;
    width: 100%;
}

#pun-viewforum[data-forum-id="9"] .byuser {
  font-size: 0 !important;
  background: transparent;
  padding: 0;
}

[data-forum-id="9"] span.byuser-username {
  font-size: 15px;
  font-weight: 700;
  font-style: normal;
  color: var(--sns-color-opacity);
  text-transform: uppercase;
}

[data-forum-id="9"] .forum .tclcon a {
  font-size: 12px !important;
  font-weight: 400 !important;
  color: var(--sns-color-opacity);
}

[data-forum-id="9"] .tclcon,
[data-forum-id="9"] .tclcon strong{
  flex-direction: column-reverse;
}

#pun-viewforum[data-forum-id="9"] td.tcr a {
  border-radius: 20px;
  padding: 5px 10px;
  color: var(--sns-color-text);
  background: rgb(97 110 120 / 30%);
  font-size: 10px !important;
  font-weight: 400 !important;
}

[data-forum-id="9"] .tcr span.byuser-username:after {
  content: "";
  mask: url(http://forumstatic.ru/files/001c/86/ed/36485.svg) no-repeat center;
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/36485.svg);
  width: 15px;
  height: 15px;
  background: var(--sns-color-opacity);
}

[data-forum-id="9"] .tcr span.byuser-username {
  font-size: 12px;
  display: flex;
  align-items: center;
  gap: 7px;
}

[data-forum-id="9"] .hasicon tr.inew .tclcon .byuser-username {
  color: var(--sns-color-pink1);
}

[data-forum-id="9"] .forum .icon {
    width: 12px !important;
    height: 12px !important;
    background: var(--sns-color-opacity) !important;
    opacity: 0.5;
    border: none !important;
    border-radius: 50%;
}

[data-forum-id="9"] .forum .intd {
  gap: 20px;
  grid-template-columns: 12px 1fr;
}

[data-forum-id="9"] .forum .icon-new {
  background: var(--sns-color-pink2);
  opacity: 1;
}

#pun-viewforum[data-forum-id="9"] noindex {
  position: absolute;
  right: 80px;
  top: -27px;
}

[data-forum-id="9"] .hasicon {
  margin: 0;
  gap: 30px;
}

[data-forum-id="9"] .linkst .postlink {
    position: static;
    width: fit-content;
}

[data-forum-id="9"] .linkst .postlink.long .new-topic {
    padding: 0;
}

[data-forum-id="9"] .new-topic a {
  background: transparent !important;
  border: none !important;
  padding: 0 !important;
  font-size: 0;
}

[data-forum-id="9"] .new-topic a:before{
  content: "\e003";
  font: 500 20px var(--mat1);
  color: #d9a5bd;
}

/*-------------------------------------------------------------------------------------- фак */
[data-forum-id="9"] .forum .isticky {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 10px;
  border-color: var(--sns-color-pink2);
}

[data-forum-id="9"] .forum .isticky a {
  font-size: 20px !important;
  font-weight: 700 !important;
  text-transform: uppercase;
  color: var(--sns-color-pink2);
}

[data-forum-id="9"] .forum .isticky .intd{
  display: flex;
}

[data-forum-id="9"] em#notify-link,
[data-forum-id="9"] .num_msg {
  position: absolute;
  top: -4px;
  right: 0;
}
[data-forum-id="9"] .num_msg {
  right: -4px;
}

[data-forum-id="9"] #notify-link .unreads,
[data-forum-id="9"] .num_msg {
  background: var(--sns-color-pink2) !important;
  border: none !important;
  box-shadow: none !important;
  color: #fff !important;
  font: 500 10px var(--font) !important;
  padding-top: 1px;
}

[data-forum-id="9"] #post{
  position: relative;
}

[data-forum-id="9"] .linksb {
    position: absolute;
    bottom: -21px;
    left: 0;
    width: 100%;
    justify-content: center;
    margin: 0 !important;
    display: flex !important;
    padding: 0 !important;
}

[data-forum-id="9"] #tags .container {
  top: 45px !important;
  background: rgba(var(--sns-pun));
  border: none;
  border-radius: 9px;
  color: var(--sns-color-text);
}

/*-------------------------------------------------------------------------------------- кружочки */
.sns_rounded img,
.sns_rounded > p {
  width: 300px;
  height: 300px;
  object-fit: cover;
  border-radius: 50% !important;
}
.sns_rounded img {
  margin: 0;
}

.sns_rounded > p {
  border: 6px solid var(--sns-color-opacity);;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

.sns-rounded {
  width: 340px !important;
  margin-left: 185px;
}

.sns-rounded > .container {
  grid-template-columns: 1fr !important;
  gap: 10px 0 !important;
}

.sns-rounded sns_name {
  background: rgba(var(--sns-color-light)) !important;
  padding: 2px 7px;
  border-radius: 2px 10px 10px 10px;
  left: 0px !important;
  font-size: 14px;
}

.sns_rounded .spoiler-box > div {
  margin: -25px 0 0px;
  width: 25px !important;
  height: 25px !important;padding: 0 !important
}

.sns_rounded .spoiler-box {margin: 0 !important}

.sns_rounded .spoiler-box > div + blockquote {
    margin-top: 10px;
}

.sns_rounded .spoiler-box > div:before {
  mask: url(http://forumstatic.ru/files/001c/86/ed/70320.svg) center/contain
    no-repeat;
  -webkit-mask-image: url(http://forumstatic.ru/files/001c/86/ed/70320.svg);
  margin: 2px 0 0 4px;
  width: 14px;
  height: 14px;
  opacity: 1 !important;
}

.sns_rounded blockquote {
  background: rgba(var(--sns-color-light)) !important;
  border-radius: 2px 10px 10px 10px !important;
}